Zum Inhalt springen
Leadtime
Deutsch
Esc
↑↓navigieren↵öffnen⌘Jvorschau

Update organization guest documentation default

Sets the organization default for guest documentation publication. Hidden, AllPages, or SelectedPages. Projects inherit this value until they set an override. This does not grant project access or documentation-management permission.

PATCH/organizations/{id}/guest-access
Authorization
AuthorizationOAuth2 access token · headerrequired
Scopes:api:write
or
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idstringrequired
Request body
requiredapplication/json
guestDocumentationVisibilitystringrequired

Organization default for guest documentation publication. This does not grant project access.

Allowed:HiddenAllPagesSelectedPages
Responses
200
successbooleanrequired

Operation success flag

401

Unauthorized - Invalid or missing authentication token

403

Forbidden - Insufficient API scopes or permissions

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH "https://leadtime.app/api/public/organizations/string/guest-access" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "guestDocumentationVisibility": "Hidden"
}'
Response
{
  "success": true
}